<?php
namespace App\Worldspan\StructureParser\Structures\MCO;

class Documents extends \App\Worldspan\StructureParser\Structures\Base\Documents
{
	protected function _getData()
	{
		list($parsedStructure, $transactionType, $transactionIndexes, ) = $this->getTransactionDetails();

		$item = new \App\Worldspan\StructureParser\Types\Document();

		$RO = $parsedStructure['MCO'][$transactionIndexes['MCOIdx']]['RO'];

		$item->RECLOC = 	$parsedStructure['R1']['PNRFileAddress'];
		$item->docNumber = 	$RO['MCONumber'];
		$item->docDate = 	$parsedStructure['R3']['BookingDateAndYear'];

		$item->issueDate = 	$parsedStructure['M0']['M0']['IU0PDT'];

		$item = $this->populate($item, $parsedStructure, $transactionType, $transactionIndexes);

		return $item;
	}
}
